Bug 1602968 - [RFE] Add "power off VM" to the right-click popup menu in the GUI
Summary: [RFE] Add "power off VM" to the right-click popup menu in the GUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.4
Hardware: All
OS: All
low
medium
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Ryan Barry
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 23:09 UTC by Greg Scott
Modified: 2019-05-08 12:38 UTC (History)
10 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: Enhancement
Doc Text:
Previously, "Power Off" was missing from the virtual machine context menu in the Administration Portal; although it was present in previous versions, it was removed as part of the new user interface in 4.2. Now, "Power Off" is once again present when a running virtual machine is right-clicked.
Clone Of:
Environment:
Last Closed: 2019-05-08 12:38:05 UTC
oVirt Team: Virt
Target Upstream Version:
mavital: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 3537251 0 None None None 2018-08-17 23:14:44 UTC
Red Hat Product Errata RHEA-2019:1085 0 None None None 2019-05-08 12:38:25 UTC
oVirt gerrit 94266 0 master MERGED webadmin: allow subactions in the right-click context menu 2018-09-19 17:51:25 UTC

Description Greg Scott 2018-07-18 23:09:35 UTC
In earlier RHEV and RHV versions, I could right-click a VM and select "power off." But in 4.2, I must select the VM, go to the General tab, click the dropdown next to the "Shutdown" button and click "Power off."

The navigation is more complicated than earlier versions, presumably because we want to encourage orderly shutdowns and discourage virtual power cycling. But changing the navigation this way only complicates admins' jobs in stressful situations with hung VMs and used to the original navigation.  Besides, if the popup shows both choices, shutdown VM and power off VM, it should be easy to tell which is which.

Please add "Power off" to the right-click popup menu in the Compute...Virtual Machines screen.

Comment 1 Michal Skrivanek 2018-07-19 04:26:46 UTC
Sure. I believe the change wasn’t really intentional

Comment 2 Greg Scott 2018-07-19 13:57:28 UTC
Thanks Michal.  Should I take [RFE] out of the title?

Comment 3 Greg Sheremeta 2018-09-11 18:09:51 UTC
(In reply to Michal Skrivanek from comment #1)
> Sure. I believe the change wasn’t really intentional

This change was actually intentional, fwiw. We wanted to simplify the menus such that if it's in the context menu, it's also up top. No thinking about where something should go.

I'm fine changing that, though.

Comment 4 RHV bug bot 2018-10-04 12:07:12 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 5 meital avital 2018-10-15 09:02:18 UTC
Verified on: ovirt-engine-4.3.0-0.0.master.20181014151735.git18593d9.el7.noarch

Comment 6 meital avital 2018-11-21 15:25:26 UTC
Verified again on:
ovirt-engine-4.3.0-0.2.master.20181120211612.git51027b1.el7.noarch

Comment 7 RHV bug bot 2018-12-10 15:13:22 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 8 RHV bug bot 2019-01-15 23:35:50 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 10 errata-xmlrpc 2019-05-08 12:38:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1085


Note You need to log in before you can comment on or make changes to this bug.